summaryrefslogtreecommitdiffstats
path: root/libparted/tests/t3000-symlink.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xlibparted/tests/t3000-symlink.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/libparted/tests/t3000-symlink.sh b/libparted/tests/t3000-symlink.sh
new file mode 100755
index 0000000..cd92879
--- /dev/null
+++ b/libparted/tests/t3000-symlink.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# run the /dev/mapper symlink test
+
+# Copyright (C) 2007-2014, 2019-2023 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${abs_top_srcdir=../..}/tests/init.sh"; path_prepend_ .
+
+. $abs_top_srcdir/tests/t-lib-helpers.sh
+# Need root privileges to create a symlink under /dev/mapper.
+require_root_
+
+symlink || fail=1
+
+Exit $fail